<template>
  <LayoutHome>
    <section>
      <div class="container">
        <div class="row">
          <div class="col-12">
            <TitleShape title="Descubre las categorías de juego" />
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-12 col-md-4">
            <SingleSpecial
              icon="bulb-outline"
              title="Inventos"
              text="Puntua las comparaciones de otros usuarios"
            />
          </div>
          <div class="col-12 col-md-4">
          <SingleSpecial
            icon="award-outline"
            title="Deportes"
            text="Comparte tus comparaciones para ayudar a la comunidad"
          />
          </div>
          <div class="col-12 col-md-4">
          <SingleSpecial
            icon="book-open-outline"
            title="Historia"
            text="Decide a la perfección realizando tus comprobaciones"
          />
          </div>
        </div>
      </div>
      <div class="mt-5">
        <div class="container image">
          <div class="row">
            <div class="col-6">
                <img class="img-fluid" src="@/assets/img/tabla.png" alt />
            </div>
            <div class="col-6">
              <TitleShape title="Consulta el ranking de los usuarios" :line=false align='left' />
              <p>Explora las puntuaciones de los usuarios e intenta superarlos</p>
              <router-link :to="{name: 'ranking'}">
                <b-button variant="primary">Explora</b-button>
              </router-link>
            </div>
          </div>
        </div>
      </div>
    </section>
  </LayoutHome>
</template>

<script>
// @ is an alias to /src
import LayoutHome from "@/components/layouts/Home.vue";
import TitleShape from "@/components/TitleShape.vue";
import SingleSpecial from "@/components/SingleSpecial.vue";
import Button from "@/components/Button.vue";

export default {
  name: "home",
  components: {
    LayoutHome,
    TitleShape,
    SingleSpecial,
    Button
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">

  .image{
    padding: 25px;
  }

</style>
